org.richfaces.fragment.collapsiblePanel

## Class RichFacesCollapsiblePanel<HEADER,BODY>

- java.lang.Object
- - org.richfaces.fragment.panel.AbstractPanel<HEADER,BODY>
  - - org.richfaces.fragment.collapsiblePanel.RichFacesCollapsiblePanel<HEADER,BODY>

- All Implemented Interfaces:
    CollapsiblePanel<HEADER,BODY>, AdvancedInteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>, AdvancedVisibleComponentIteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>, Panel<HEADER,BODY>
  Direct Known Subclasses:
    TextualRichFacesCollapsiblePanel

      public abstract class RichFacesCollapsiblePanel<HEADER,BODY>
      extends AbstractPanel<HEADER,BODY>
      implements CollapsiblePanel<HEADER,BODY>, AdvancedVisibleComponentIteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>

  Author:
    Jiri Stefek

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panel.AbstractPanel

      `AbstractPanel.AdvancedPanelInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesCollapsiblePanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions` | `advanced()`
    `CollapsiblePanel<HEADER,BODY>` | `collapse()` Collapse this panel.
    `CollapsiblePanel<HEADER,BODY>` | `expand()` Expand this panel.

    - ### Methods inherited from class org.richfaces.fragment.panel.AbstractPanel

      `getBodyClass, getBodyContent, getHeaderClass, getHeaderContent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.panel.Panel

      `getBodyContent, getHeaderContent`

- - ### Constructor Detail

    - #### RichFacesCollapsiblePanel

          public RichFacesCollapsiblePanel()

  - ### Method Detail

    - #### advanced

          public RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesCollapsiblePanel.AdvancedCollapsiblePanelInteractions>`
      Specified by:
        `advanced` in class `AbstractPanel<HEADER,BODY>`

    - #### collapse

          public CollapsiblePanel<HEADER,BODY> collapse()

      Description copied from interface: `CollapsiblePanel`
      Collapse this panel.
      Specified by:
        `collapse` in interface `CollapsiblePanel<HEADER,BODY>`
      Returns:
        back the CollapsiblePanel object

    - #### expand

          public CollapsiblePanel<HEADER,BODY> expand()

      Description copied from interface: `CollapsiblePanel`
      Expand this panel.
      Specified by:
        `expand` in interface `CollapsiblePanel<HEADER,BODY>`
      Returns:
        back the CollapsiblePanel object

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.